email: ppb@itgreen.fr
date: 2016-03-03T08:59+01:00
author: Pierre-Philippe
website:
replyto: 1md

Bonjour et merci pour ta réponse aussi rapide.

J'ai déjà un serveur Haproxy qui redirige en fonction des sous domaines vers les serveurs appropriés.  
J'ai donc une autre machine ou je test Haproxy pour le certificat.

Le bute est d'avoir un seul certificat par domaine pour un ensemble de sous domaine et Haproxy me parais la solution.  
D'autant plus que mes appli web ne tournent pas sur Apache ou Nginx et donc pas facile pour les certificats.

    HAPROXY config
    global
            log /dev/log    local0
            log /dev/log    local1 notice
            chroot /var/lib/haproxy
            stats socket /run/haproxy/admin.sock mode 660 level admin
            stats timeout 30s
            user haproxy
            group haproxy
            daemon

            # Default SSL material locations
            #ca-base /etc/ssl/certs
            #crt-base /etc/ssl/private

            # Default ciphers to use on SSL-enabled listening sockets.
            # For more information, see ciphers(1SSL). This list is from:
            #  https://hynek.me/articles/hardening-your-web-servers-ssl-ciphers/
            #ssl-default-bind-ciphers ECDH+AESGCM:DH+AESGCM:ECDH+AES256:DH+AES256:ECDH+AES128:DH+AES:ECDH+3DES:DH+3DES:RSA+AESGCM:RSA+AES:RSA+3DES:!aNULL:!MD5:!DSS
            #ssl-default-bind-options no-sslv3

    defaults
            log     global
            mode    http
            option  httplog
            option  dontlognull
            timeout connect 5000
            timeout client  50000
            timeout server  50000
            errorfile 400 /etc/haproxy/errors/400.http
            errorfile 403 /etc/haproxy/errors/403.http
            errorfile 408 /etc/haproxy/errors/408.http
            errorfile 500 /etc/haproxy/errors/500.http
            errorfile 502 /etc/haproxy/errors/502.http
            errorfile 503 /etc/haproxy/errors/503.http
            errorfile 504 /etc/haproxy/errors/504.http


frontend http-in
    acl app_letsencrypt  path_beg   /.well-known/acme-challenge/

    use_backend bk-letsencrypt if app_letsencrypt

backend bk-letsencrypt
    log global
    mode http
    server srv_letsencrypt 127.0.0.1:63443


La commande  Let's Encrypt  
    letsencrypt-auto certonly --domains xx-mydomaine.fr --renew-by-default --http-01-port 63443 --agree-tos

le fichier conf de  Let's Encrypt

    rsa-key-size = 4096
    email = ppb@itgreen.fr
    authenticator = standalone
    standalone-supported-challenges = http-01

Par contre Let's Encrypt génère bien 2 clefs une csr et une keys.  
 Je peut aussi envoyer un schéma format svg de l'instal.  
Bonne et Belle journée   
Pierre-Philippe  
